## python-docker 1.7.2

=== requirements.txt ===
requests==2.5.3
six>=1.4.0
websocket-client==0.32.0

## python-docker 0.3.2

=== debian/changelog ===
python-docker (0.3.2-1) unstable; urgency=medium

  * Update to 0.3.2 upstream release
  * Bump Standards-Version to 3.9.5

 -- Tianon Gravi <admwiggin@gmail.com>  Thu, 17 Jul 2014 21:51:51 -0400

python-docker (0.2.3-1) unstable; urgency=low

  * Initial release (Closes: #734679)

 -- Paul Tagliamonte <paultag@debian.org>  Mon, 10 Feb 2014 22:13:24 -0500

=== debian/control ===
Source: python-docker
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Paul Tagliamonte <paultag@debian.org>,
 Docker Packaging Team <docker-maint@lists.alioth.debian.org>,
 Tianon Gravi <admwiggin@gmail.com>
Build-Depends: debhelper (>= 9),
 python-all (>= 2.6.6-3~),
 python-setuptools,
 python-requests,
 python-six,
 python-websocket,
 python3-all (>= 3.1.2),
 python3-setuptools,
 python3-requests,
 python3-six,
Standards-Version: 3.9.5
Homepage: https://github.com/dotcloud/docker-py/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-docker/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-docker/trunk/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3

Package: python-docker
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python wrapper to access docker.io's control socket
 This package contains oodles of routines that aid in controling
 docker.io over it's socket control, the same way the docker.io
 client controls the daemon.
 .
 This package provides Python 2 module bindings only.

Package: python3-docker
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python 3 wrapper to access docker.io's control socket
 This package contains oodles of routines that aid in controling
 docker.io over it's socket control, the same way the docker.io
 client controls the daemon.
 .
 This package provides Python 3 module bindings only.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=docker

# The tests fail with the cryptic "ImportError: No module named tests".
# I don't have the time or the energy to debug them (especially since it looks like there aren't many).
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3 --buildsystem pybuild

## python-docker 0.5.3

=== debian/changelog ===
python-docker (0.5.3-1) unstable; urgency=medium

  * Update to 0.5.3 upstream release
    - 0.5.3: Fixed attaching when connecting to the daemon over a UNIX socket.
    - 0.5.2: Fixed a bug where sockets were closed immediately when attaching
             over TLS.

 -- Tianon Gravi <admwiggin@gmail.com>  Fri, 17 Oct 2014 06:12:19 +0000

python-docker (0.5.1-1) unstable; urgency=medium

  * Update to 0.5.1 upstream release

 -- Tianon Gravi <admwiggin@gmail.com>  Thu, 16 Oct 2014 07:05:26 +0000

python-docker (0.5.0-1) unstable; urgency=medium

  * Update to 0.5.0 upstream release

 -- Tianon Gravi <admwiggin@gmail.com>  Sun, 14 Sep 2014 00:56:13 +0000

python-docker (0.4.0-1) unstable; urgency=medium

  * Update to 0.4.0 upstream release

 -- Tianon Gravi <admwiggin@gmail.com>  Mon, 28 Jul 2014 10:43:40 -0600

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-setuptools,
  python3-requests,
  python3-six,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/dotcloud/docker-py/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-docker/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-docker/trunk/

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=docker

# The pypi bundle does not include the tests, so we have to disable them.
# see also https://github.com/docker/docker-py/issues/308
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3 --buildsystem pybuild

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/d/docker-py/ \
    docker-py-(\d.*).tar.gz

## python-docker 1.3.1

=== debian/changelog ===
python-docker (1.3.1-1) unstable; urgency=medium

  * Update to 1.3.1 upstream release.

 -- Tianon Gravi <admwiggin@gmail.com>  Tue, 28 Jul 2015 13:25:20 -0700

python-docker (1.3.0-2) unstable; urgency=medium

  * Update 01_requirements.patch to reflect that the requirements are actually
    stored in no less than three separate files (Closes: #793024).
  * Add a DEP8 test that runs upstream's integration tests to verify
    basic functionality.
  * Patch the default API version down one notch to match src:docker.io (to be
    removed when Docker 1.7+ gets into the archive).

 -- Tianon Gravi <admwiggin@gmail.com>  Mon, 20 Jul 2015 18:03:45 +0000

python-docker (1.3.0-1) unstable; urgency=medium

  * Update to 1.3.0 upstream release.

 -- Tianon Gravi <admwiggin@gmail.com>  Thu, 16 Jul 2015 18:00:39 +0000

python-docker (1.2.3-1) unstable; urgency=medium

  * Update to 1.2.3 upstream release (Closes: #790817).

 -- Tianon Gravi <admwiggin@gmail.com>  Thu, 02 Jul 2015 02:25:42 +0000

python-docker (1.2.2-2) unstable; urgency=medium

  * Relax requests dependency slightly to account for the accidental misupload
    to unstable.

 -- Tianon Gravi <admwiggin@gmail.com>  Sun, 29 Mar 2015 19:58:18 -0600

python-docker (1.2.2-1) unstable; urgency=medium

  * Update to 1.2.2 upstream release (Closes: #781355)
  * Update debian/watch to use the pypi.debian.net redirector
  * Update Build-Depends, 01_requirements.patch, and comment in debian/rules
    regarding tests

 -- Tianon Gravi <admwiggin@gmail.com>  Sun, 29 Mar 2015 19:58:18 -0600

python-docker (0.5.3-2) unstable; urgency=medium

  * Remove 02_use-system-urllib3.patch thanks to the fix in requests

 -- Tianon Gravi <admwiggin@gmail.com>  Thu, 13 Nov 2014 06:29:26 +0000

python-docker (0.5.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Added debian/patches/02_use-system-urllib3.patch (Closes: #767445).
  * Renamed debian/patches/requirements.patch to
    debian/patches/01_requirements.patch following convention from other
    Python packages.

 -- Jakub Warmuz <jakub@warmuz.org>  Sat, 01 Nov 2014 18:19:57 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,23 @@
  Docker Packaging Team <docker-maint@lists.alioth.debian.org>,
  Tianon Gravi <admwiggin@gmail.com>
 Build-Depends: debhelper (>= 9),
+ dh-python,
  python-all (>= 2.6.6-3~),
+ python3-all (>= 3.1.2~),
  python-setuptools,
- python-requests,
- python-six,
- python-websocket,
- python3-all (>= 3.1.2),
  python3-setuptools,
- python3-requests,
- python3-six,
+# requirements.txt
+ python-requests (>= 2.4.3~),
+ python-six (>= 1.3.0~),
+ python-websocket (>= 0.18.0~),
+# requirements3.txt
+ python3-requests (>= 2.4.3~),
+ python3-six (>= 1.3.0~),
+ python3-websocket (>= 0.18.0~),
+# test-requirements.txt
+# python-mock (>= 1.0.1~),
+# python-coverage (>= 3.7.1~),
+# docker.io,
 Standards-Version: 3.9.6
 Homepage: https://github.com/dotcloud/docker-py/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-docker/trunk/

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=docker

# The pypi bundle includes the tests (https://github.com/docker/docker-py/issues/308), but they're really invasive and fail for reasons I haven't yet diagnosed.
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3 --buildsystem pybuild

=== debian/tests/control ===
Tests: integration
Depends: @, docker.io, python-mock, python3-mock
Restrictions: isolation-machine needs-root

## python-docker 1.7.2

=== debian/changelog ===
python-docker (1.7.2-1~bpo8+1~nd90+1+nd17.04+1+nd17.10+1) artful; urgency=medium

  * Backported for artful.

 -- unamed <unknown>  Tue, 07 Nov 2017 22:16:28 -0500

python-docker (1.7.2-1~bpo8+1~nd90+1+nd17.04+1) zesty; urgency=medium

  * Backported for zesty.

 -- unamed <unknown>  Mon, 08 May 2017 12:32:38 -0400

python-docker (1.7.2-1~bpo8+1~nd90+1) stretch; urgency=medium

  * Backported for stretch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 19 Oct 2016 19:31:40 -0400

python-docker (1.7.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 May 2016 03:00:22 +0000

python-docker (1.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #816622).
  * Standards-Version is 3.9.7 now (no change).
  * Changed Vcs-Git URL to https.
  * Added myself to d/copyright.
  * Lower Docker API version to 1.20 for Docker 1.8.3 compatibility

 -- Ondřej Nový <novy@ondrej.org>  Wed, 23 Mar 2016 07:26:35 +0100

python-docker (1.5.0-1) unstable; urgency=medium

  * Update to 1.5.0 upstream release.

 -- Tianon Gravi <tianon@debian.org>  Sun, 08 Nov 2015 12:59:38 -0800

=== debian/control ===
Source: python-docker
Section: python
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Paul Tagliamonte <paultag@debian.org>,
 Docker Packaging Team <docker-maint@lists.alioth.debian.org>,
 Tianon Gravi <tianon@debian.org>
Build-Depends: debhelper (>= 9),
 dh-python,
 python-all (>= 2.6.6-3~),
 python3-all (>= 3.1.2~),
 python-setuptools,
 python3-setuptools,
# requirements.txt
 python-requests (>= 2.5.3~),
 python-six (>= 1.4.0~),
 python-websocket (>= 0.18.0~),
# requirements3.txt
 python3-requests (>= 2.5.3~),
 python3-six (>= 1.4.0~),
 python3-websocket (>= 0.18.0~),
# test-requirements.txt
# python-mock (>= 1.0.1~),
# python-coverage (>= 3.7.1~),
# docker.io,
Standards-Version: 3.9.7
Homepage: https://github.com/dotcloud/docker-py/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-docker.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-docker.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3

Package: python-docker
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends}
Description: Python wrapper to access docker.io's control socket
 This package contains oodles of routines that aid in controling
 docker.io over it's socket control, the same way the docker.io
 client controls the daemon.
 .
 This package provides Python 2 module bindings only.

Package: python3-docker
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends}
Description: Python 3 wrapper to access docker.io's control socket
 This package contains oodles of routines that aid in controling
 docker.io over it's socket control, the same way the docker.io
 client controls the daemon.
 .
 This package provides Python 3 module bindings only.

## python-docker 1.8.0

=== requirements.txt ===
requests==2.5.3
six>=1.4.0
websocket-client==0.32.0
py2-ipaddress==3.4.1 ; python_version < '3.2'

=== debian/changelog ===
python-docker (1.8.0-0ubuntu1) xenial; urgency=medium

  * Update to 1.8.0 upstream release.
    - Dropped d/p/0002-Fix-Unix-adapter-bug-with-newer-versions-of-requests.patch
      Applied upstream.

 -- Pierre-André MOREY <pierre-andre.morey@canonical.com>  Mon, 11 Apr 2016 17:11:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: python-docker
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Paul Tagliamonte <paultag@debian.org>,
  Docker Packaging Team <docker-maint@lists.alioth.debian.org>,
  Tianon Gravi <tianon@debian.org>
@@ -24,16 +24,16 @@
 # python-mock (>= 1.0.1~),
 # python-coverage (>= 3.7.1~),
 # docker.io,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.6
 Homepage: https://github.com/dotcloud/docker-py/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-docker.git
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-docker.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-docker.git
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 
 Package: python-docker
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python:Depends}
 Description: Python wrapper to access docker.io's control socket
  This package contains oodles of routines that aid in controling
  docker.io over it's socket control, the same way the docker.io
@@ -43,7 +43,7 @@
 
 Package: python3-docker
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Description: Python 3 wrapper to access docker.io's control socket
  This package contains oodles of routines that aid in controling
  docker.io over it's socket control, the same way the docker.io

=== debian/tests/control ===
Tests: integration
Depends: docker.io, python-mock, python-pytest, python3-mock, python3-pytest, @
Restrictions: isolation-machine needs-root

=== debian/watch ===
version=3
opts=uversionmangle=s/-?(rc|a|b|c)/~$1/ \
http://pypi.debian.net/docker-py/docker-py-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-docker 1.9.0

=== debian/changelog ===
python-docker (1.9.0-1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 01 Feb 2017 22:02:36 +0000

python-docker (1.9.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release (Closes: #830172)
  * Dropped
    d/p/0002-Lower-Docker-API-version-to-1.20-for-Docker-1.8.3-co.patch
    (Not needed anymore)
  * Bump required version of python3-websocket to 0.32.0
  * Standards-Version is 3.9.8 now (no change)
  * Fixed typo in description

  [ Andreas Henriksson ]
  * autopkgtest: fix running of integration test

  [ Felipe Sateler ]
  * Take over the package from the DPMT. Thanks for all the work!
    - Update Vcs urls
  * Switch to git-buildpackage for vcs
  * python2: add ssl_match_hostname and ipaddress dependencies
  * Restrict python3 package to python 3.5

 -- Felipe Sateler <fsateler@debian.org>  Fri, 14 Oct 2016 21:15:59 -0300

=== debian/control ===
Source: python-docker
Section: python
Priority: optional
Maintainer: Felipe Sateler <fsateler@debian.org>
Uploaders: Jason Pleau <jason@jpleau.ca>
Build-Depends: debhelper (>= 9),
 dh-python,
 python-all (>= 2.6.6-3~),
 python3-all (>= 3.1.2~),
 python-setuptools,
 python3-setuptools,
# requirements.txt
 python-requests (>= 2.5.3~),
 python-six (>= 1.4.0~),
 python-websocket (>= 0.32.0~),
# requirements3.txt
 python3-requests (>= 2.5.3~),
 python3-six (>= 1.4.0~),
 python3-websocket (>= 0.32.0~),
# test-requirements.txt
# python-mock (>= 1.0.1~),
# python-coverage (>= 3.7.1~),
# docker.io,
Standards-Version: 3.9.8
Homepage: https://github.com/dotcloud/docker-py/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-docker.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/python-docker.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.5

Package: python-docker
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python-backports.ssl-match-hostname (>= 3.5),
 python-ipaddress (>=1.0.16)
Description: Python wrapper to access docker.io's control socket
 This package contains oodles of routines that aid in controlling
 docker.io over it's socket control, the same way the docker.io
 client controls the daemon.
 .
 This package provides Python 2 module bindings only.

Package: python3-docker
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python 3 wrapper to access docker.io's control socket
 This package contains oodles of routines that aid in controlling
 docker.io over it's socket control, the same way the docker.io
 client controls the daemon.
 .
 This package provides Python 3 module bindings only.

## python-docker 2.5.1

=== requirements.txt ===
appdirs==1.4.3
asn1crypto==0.22.0
backports.ssl-match-hostname==3.5.0.1
cffi==1.10.0
cryptography==1.9
docker-pycreds==0.2.1
enum34==1.1.6
idna==2.5
ipaddress==1.0.18
packaging==16.8
pycparser==2.17
pyOpenSSL==17.0.0
pyparsing==2.2.0
requests==2.14.2
six==1.10.0
websocket-client==0.40.0

=== debian/changelog ===
python-docker (2.5.1-1) unstable; urgency=medium

  * New upstream version 2.5.1
    - Refresh patches
  * Pick dependencies from setup.py instead of requirements.txt.
    Setup.py is the real thing, plus upstream added deps of deps to requirements.txt
  * Use https for the watch file

 -- Felipe Sateler <fsateler@debian.org>  Sun, 05 Nov 2017 11:00:09 -0300

python-docker (2.4.2-2) unstable; urgency=medium

  [ Thomas Goirand ]
  * Add Breaks: python-magnum (<< 5.0.0), python-senlin (<< 2.0.0).

  [ Felipe Sateler ]
  * Add Breaks for docker-compose << 1.10. (Closes: #870003)
  * Bump Standards Version
  * Release to unstable (Closes: #850741)

 -- Felipe Sateler <fsateler@debian.org>  Sat, 04 Nov 2017 10:58:35 -0300

python-docker (2.4.2-1) experimental; urgency=medium

  [ Jason Pleau ]
  * New upstream release
  * Refresh requirements patch
  * Update dependencies for new upstream version
  * Add myself to debian/copyright

  [ Felipe Sateler ]
  * Do not require pip for building.
    It is only used to check for docker-py existece,
    but that doesn't matter in the context of a debian build
  * Bump standards-version to 4.0.0
  * Sync dependency versions in python3 and python versions
  * Bump debhelper compat to 10

 -- Felipe Sateler <fsateler@debian.org>  Sun, 16 Jul 2017 11:58:44 -0400

=== debian/control ===
--- 
+++ 
@@ -3,29 +3,33 @@
 Priority: optional
 Maintainer: Felipe Sateler <fsateler@debian.org>
 Uploaders: Jason Pleau <jason@jpleau.ca>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
  dh-python,
- python-all (>= 2.6.6-3~),
- python3-all (>= 3.1.2~),
+ python-all (>= 2.7),
+ python3-all,
  python-setuptools,
  python3-setuptools,
-# requirements.txt
- python-requests (>= 2.5.3~),
+# setup.py
+ python-requests (>= 2.11.1~),
  python-six (>= 1.4.0~),
  python-websocket (>= 0.32.0~),
-# requirements3.txt
- python3-requests (>= 2.5.3~),
+ python-dockerpycreds (>= 0.2.1),
+ python-backports.ssl-match-hostname (>= 3.5),
+ python-ipaddress (>=1.0.16),
+# setup.py - python3
+ python3-requests (>= 2.11.1~),
  python3-six (>= 1.4.0~),
  python3-websocket (>= 0.32.0~),
+ python3-dockerpycreds (>= 0.2.1),
 # test-requirements.txt
 # python-mock (>= 1.0.1~),
 # python-coverage (>= 3.7.1~),
 # docker.io,
-Standards-Version: 3.9.8
-Homepage: https://github.com/dotcloud/docker-py/
+Standards-Version: 4.1.1
+Homepage: https://github.com/docker/docker-py
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-docker.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/python-docker.git
-X-Python-Version: >= 2.6
+X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.5
 
 Package: python-docker
@@ -33,6 +37,9 @@
 Depends: ${misc:Depends}, ${python:Depends},
  python-backports.ssl-match-hostname (>= 3.5),
  python-ipaddress (>=1.0.16)
+Breaks: python-magnum (<< 5.0.0),
+ python-senlin (<< 2.0.0),
+ docker-compose (<< 1.10)
 Description: Python wrapper to access docker.io's control socket
  This package contains oodles of routines that aid in controlling
  docker.io over it's socket control, the same way the docker.io

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,9 @@
 # The pypi bundle includes the tests (https://github.com/docker/docker-py/issues/308), but they're really invasive and fail for reasons I haven't yet diagnosed.
 export PYBUILD_DISABLE=test
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f docker_py.egg-info/SOURCES.txt
+
 %:
 	dh $@ --with python2,python3 --buildsystem pybuild

## python-docker 3.4.1

=== requirements.txt ===
appdirs==1.4.3
asn1crypto==0.22.0
backports.ssl-match-hostname==3.5.0.1
cffi==1.10.0
cryptography==1.9
docker-pycreds==0.3.0
enum34==1.1.6
idna==2.5
ipaddress==1.0.18
packaging==16.8
pycparser==2.17
pyOpenSSL==17.0.0
pyparsing==2.2.0
pypiwin32==219; sys_platform == 'win32' and python_version < '3.6'
pypiwin32==220; sys_platform == 'win32' and python_version >= '3.6'
requests==2.14.2
six==1.10.0
websocket-client==0.40.0

=== debian/changelog ===
python-docker (3.4.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:50:08 +0800

python-docker (3.4.1-4) unstable; urgency=medium

  * Revert "Drop dependency on ssl-match-hostname backport"
    Turns out the python2 backport is not full enough as it does not
    include the full functionality of py3.5 match_hostname.
    Reopens: #909974
    Closes: #918154

 -- Felipe Sateler <fsateler@debian.org>  Thu, 10 Jan 2019 19:35:42 -0300

python-docker (3.4.1-3) unstable; urgency=medium

  * Also drop the ssl-match-hostname Build-Depends

 -- Felipe Sateler <fsateler@debian.org>  Wed, 10 Oct 2018 10:05:22 -0300

python-docker (3.4.1-2) unstable; urgency=medium

  * Drop dependency on ssl-match-hostname backport.
    The debian package for python has the backport built in. See #86989.
    (Closes: #909972)
  * Shorten changelog line
  * Bump Standards-Version and drop X-Python-Version.
    The latter is no longer needed
  * Upload to unstable

 -- Felipe Sateler <fsateler@debian.org>  Tue, 02 Oct 2018 16:37:29 -0300

python-docker (3.4.1-1) experimental; urgency=medium

  [ Felipe Sateler ]
  * Set team address as Maintainer
  * Release to experimental

  [ Alexander Gerasiov ]
  * New upstream version 3.4.1
  * d/patches refreshed.
    requirements.patch updated to newer versions in upstream file.
    Do-not-require-pip-for-building.patch removed (upstream removed this code
    itself).

 -- Felipe Sateler <fsateler@debian.org>  Wed, 05 Sep 2018 20:08:46 -0300

python-docker (3.2.1-1) experimental; urgency=medium

  [ Jason Pleau ]
  * New upstream release
  * Update Vcs-* fields to point to salsa.d.o
  * Refresh requirements.patch
  * Update Standards-Version to 4.1.3, no changes needed
  * Add Breaks for docker-compose << 1.21

  [ Felipe Sateler ]
  * Upload to experimental, to shake out possibly incompatible reverse
    dependencies.

 -- Felipe Sateler <fsateler@debian.org>  Tue, 17 Apr 2018 19:57:43 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: python-docker
 Section: python
 Priority: optional
-Maintainer: Felipe Sateler <fsateler@debian.org>
-Uploaders: Jason Pleau <jason@jpleau.ca>
+Maintainer: Docker Compose Team <team+docker-compose@tracker.debian.org>
+Uploaders: Jason Pleau <jason@jpleau.ca>,
+ Felipe Sateler <fsateler@debian.org>
 Build-Depends: debhelper (>= 10),
  dh-python,
  python-all (>= 2.7),
@@ -13,23 +14,22 @@
  python-requests (>= 2.11.1~),
  python-six (>= 1.4.0~),
  python-websocket (>= 0.32.0~),
- python-dockerpycreds (>= 0.2.1),
+ python-dockerpycreds (>= 0.2.2),
  python-backports.ssl-match-hostname (>= 3.5),
  python-ipaddress (>=1.0.16),
 # setup.py - python3
  python3-requests (>= 2.11.1~),
  python3-six (>= 1.4.0~),
  python3-websocket (>= 0.32.0~),
- python3-dockerpycreds (>= 0.2.1),
+ python3-dockerpycreds (>= 0.2.2),
 # test-requirements.txt
 # python-mock (>= 1.0.1~),
 # python-coverage (>= 3.7.1~),
 # docker.io,
-Standards-Version: 4.1.1
+Standards-Version: 4.2.1
 Homepage: https://github.com/docker/docker-py
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-docker.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/python-docker.git
-X-Python-Version: >= 2.7
+Vcs-Git: https://salsa.debian.org/docker-compose-team/python-docker
+Vcs-Browser: https://salsa.debian.org/docker-compose-team/python-docker
 X-Python3-Version: >= 3.5
 
 Package: python-docker
@@ -39,7 +39,7 @@
  python-ipaddress (>=1.0.16)
 Breaks: python-magnum (<< 5.0.0),
  python-senlin (<< 2.0.0),
- docker-compose (<< 1.10)
+ docker-compose (<< 1.21)
 Description: Python wrapper to access docker.io's control socket
  This package contains oodles of routines that aid in controlling
  docker.io over it's socket control, the same way the docker.io

## python-docker 4.1.0

=== requirements.txt ===
appdirs==1.4.3
asn1crypto==0.22.0
backports.ssl-match-hostname==3.5.0.1
cffi==1.10.0
cryptography==2.3
enum34==1.1.6
idna==2.5
ipaddress==1.0.18
packaging==16.8
paramiko==2.4.2
pycparser==2.17
pyOpenSSL==18.0.0
pyparsing==2.2.0
pypiwin32==219; sys_platform == 'win32' and python_version < '3.6'
pypiwin32==223; sys_platform == 'win32' and python_version >= '3.6'
requests==2.20.0
six==1.10.0
urllib3==1.24.3
websocket-client==0.56.0

=== debian/changelog ===
python-docker (4.1.0-1.2) unstable; urgency=medium

  * Uploading source-only.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 10:36:18 +0200

python-docker (4.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add python3-distutils runtime depends. (Closes: #958577)

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 10:32:27 +0200

python-docker (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0
    - Refresh patches
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Repository.
  * Bump debhelper from old 10 to 12.
  * Bump Standards Version
  * Drop Python3-Version field.
    Minimum required version is shipped in oldstable

 -- Felipe Sateler <fsateler@debian.org>  Fri, 22 Nov 2019 21:10:10 -0300

=== debian/control ===
Source: python-docker
Section: python
Priority: optional
Maintainer: Docker Compose Team <team+docker-compose@tracker.debian.org>
Uploaders: Jason Pleau <jason@jpleau.ca>,
 Felipe Sateler <fsateler@debian.org>
Build-Depends: debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-requests (>= 2.11.1~),
 python3-six (>= 1.4.0~),
 python3-websocket (>= 0.32.0~),
 python3-dockerpycreds (>= 0.2.2),
Standards-Version: 4.4.1
Homepage: https://github.com/docker/docker-py
Vcs-Git: https://salsa.debian.org/docker-compose-team/python-docker
Vcs-Browser: https://salsa.debian.org/docker-compose-team/python-docker

Package: python3-docker
Architecture: all
Depends: python3-distutils, ${misc:Depends}, ${python3:Depends}
Description: Python 3 wrapper to access docker.io's control socket
 This package contains oodles of routines that aid in controlling
 docker.io over it's socket control, the same way the docker.io
 client controls the daemon.
 .
 This package provides Python 3 module bindings only.

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 	rm -f docker_py.egg-info/SOURCES.txt
 
 %:
-	dh $@ --with python2,python3 --buildsystem pybuild
+	dh $@ --with python3 --buildsystem pybuild

=== debian/tests/control ===
Tests: integration
Depends: docker.io, python3-mock, python3-pytest, @
Restrictions: isolation-machine needs-root

## python-docker 4.4.4

=== requirements.txt ===
appdirs==1.4.3
asn1crypto==0.22.0
backports.ssl-match-hostname==3.5.0.1
cffi==1.14.4
cryptography==3.2
enum34==1.1.6
idna==2.5
ipaddress==1.0.18
packaging==16.8
paramiko==2.4.2
pycparser==2.17
pyOpenSSL==18.0.0
pyparsing==2.2.0
pywin32==227; sys_platform == 'win32'
requests==2.20.0
six==1.10.0
urllib3==1.24.3
websocket-client==0.56.0

=== debian/changelog ===
python-docker (4.4.4-1~cloud0) focal-xena; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 10 Sep 2021 12:56:28 +0000

python-docker (4.4.4-1) unstable; urgency=medium

  * Upload to unstable.
  * Add myself as uploader.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 13:12:56 +0200

python-docker (4.4.4-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Rebased requirements.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Mar 2021 19:55:48 +0100

=== debian/control ===
Source: python-docker
Section: python
Priority: optional
Maintainer: Docker Compose Team <team+docker-compose@tracker.debian.org>
Uploaders:
 Jason Pleau <jason@jpleau.ca>,
 Felipe Sateler <fsateler@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-dockerpycreds (>= 0.2.2),
 python3-requests (>= 2.11.1~),
 python3-setuptools,
 python3-six (>= 1.4.0~),
 python3-websocket (>= 0.32.0~),
Standards-Version: 4.4.1
Homepage: https://github.com/docker/docker-py
Vcs-Git: https://salsa.debian.org/docker-compose-team/python-docker
Vcs-Browser: https://salsa.debian.org/docker-compose-team/python-docker

Package: python3-docker
Architecture: all
Depends:
 python3-distutils,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 wrapper to access docker.io's control socket
 This package contains oodles of routines that aid in controlling
 docker.io over it's socket control, the same way the docker.io
 client controls the daemon.
 .
 This package provides Python 3 module bindings only.

## python-docker 5.0.3

=== requirements.txt ===
appdirs==1.4.3
asn1crypto==0.22.0
backports.ssl-match-hostname==3.5.0.1
cffi==1.14.4
cryptography==3.4.7
enum34==1.1.6
idna==2.5
ipaddress==1.0.18
packaging==16.8
paramiko==2.4.2
pycparser==2.17
pyOpenSSL==18.0.0
pyparsing==2.2.0
pywin32==301; sys_platform == 'win32'
requests==2.26.0
urllib3==1.26.5
websocket-client==0.56.0

=== debian/changelog ===
python-docker (5.0.3-1ubuntu1) noble; urgency=medium

  * Drop Dependency on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 10 Mar 2024 18:43:29 +0100

python-docker (5.0.3-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release.
  * Refresh the patch.
  * Drop outdated dependency on python3-six.
  * Build-depend on dh-sequence-python3 instead of --with python3.
  * Clean eggs in debian/clean.

  [ Anthony Fok ]
  * Remove dependency on python3-dockerpycreds.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 12 Oct 2021 10:36:52 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,10 @@
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
  debhelper-compat (= 12),
- dh-python,
+ dh-sequence-python3,
  python3-all,
- python3-dockerpycreds (>= 0.2.2),
- python3-requests (>= 2.11.1~),
+ python3-requests (>= 2.14.2~),
  python3-setuptools,
- python3-six (>= 1.4.0~),
  python3-websocket (>= 0.32.0~),
 Standards-Version: 4.4.1
 Homepage: https://github.com/docker/docker-py
@@ -23,7 +21,6 @@
 Package: python3-docker
 Architecture: all
 Depends:
- python3-distutils,
  ${misc:Depends},
  ${python3:Depends},
 Description: Python 3 wrapper to access docker.io's control socket

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=docker

# The pypi bundle includes the tests (https://github.com/docker/docker-py/issues/308), but they're really invasive and fail for reasons I haven't yet diagnosed.
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem pybuild

=== debian/tests/control ===
Tests: integration
Depends:
 docker.io,
 python3-mock,
 python3-pytest,
 @,
Restrictions: isolation-machine needs-root

## python-docker 6.1.3

=== requirements.txt ===
packaging==21.3
paramiko==2.11.0
pywin32==304; sys_platform == 'win32'
requests==2.28.1
urllib3==1.26.11
websocket-client==1.3.3

=== debian/changelog ===
python-docker (6.1.3-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * d/rules: Add override_dh_auto_clean
  * d/patches: Refresh requirements.patch
  * d/control: Update

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 18 Apr 2024 14:25:20 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,10 @@
  debhelper-compat (= 12),
  dh-sequence-python3,
  python3-all,
- python3-requests (>= 2.14.2~),
+ python3-requests (>= 2.28.1~),
  python3-setuptools,
- python3-websocket (>= 0.32.0~),
+ python3-setuptools-scm,
+ python3-websocket (>= 1.3.3~),
 Standards-Version: 4.4.1
 Homepage: https://github.com/docker/docker-py
 Vcs-Git: https://salsa.debian.org/docker-compose-team/python-docker
@@ -21,6 +22,7 @@
 Package: python3-docker
 Architecture: all
 Depends:
+ python3-distutils,
  ${misc:Depends},
  ${python3:Depends},
 Description: Python 3 wrapper to access docker.io's control socket

## python-docker 7.1.0

=== debian/changelog ===
python-docker (7.1.0-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add new autopkgtest.
  * Drop Changes:
    - Remove autopkgtest executing test which does not exist.
      [Fixed in 7.1.0-2]

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 15 Dec 2024 18:42:37 +0000

python-docker (7.1.0-2) unstable; urgency=low

  * Remove missing autopkgtest (Closes: #1083061)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 21 Nov 2024 23:19:52 +0100

python-docker (7.1.0-1ubuntu1) oracular; urgency=medium

  * Remove autopkgtest executing test which does not exist.
  * Add new autopkgtest.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 01 Oct 2024 11:18:36 +0100

python-docker (7.1.0-1) unstable; urgency=high

  * New upstream release
  * Drop outdated debian patches
  * Add build-depend on pybuild-plugin-pyproject
  * Add build depend on python3-hatch-vcs
  * Suggests python3-paramiko and python3-websocket
  * Depends on python3-requests, python3-urllib3
  * Remove runtime dependency on python3-distutils (Closes: #1065926)
  * Add myself to uploaders
  * Update d/copyright file
  * Add Rules-Requires-Root: no
  * Bump compat level to 13
  * Fix Vcs-Git field
  * Bump standards-version to 4.6.2
  * Expand metadata file
  * Clean .pybuild to rebuild multiple times

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 01 Jul 2024 18:35:44 +0200

python-docker (6.1.3-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream patch to work with new python3-requests (Closes: #1073196)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 14 Jun 2024 13:14:53 +0200

=== debian/control ===
Source: python-docker
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Docker Compose Team <team+docker-compose@tracker.debian.org>
Rules-Requires-Root: no
Uploaders:
 Jason Pleau <jason@jpleau.ca>,
 Felipe Sateler <fsateler@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 pybuild-plugin-pyproject,
 python3-hatchling,
 python3-hatch-vcs,
 python3-requests (>= 2.28.1~),
 python3-setuptools,
 python3-setuptools-scm,
 python3-websocket (>= 1.3.3~),
Standards-Version: 4.6.2
Homepage: https://github.com/docker/docker-py
Vcs-Git: https://salsa.debian.org/docker-compose-team/python-docker.git
Vcs-Browser: https://salsa.debian.org/docker-compose-team/python-docker

Package: python3-docker
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-requests,
 python3-urllib3,
Suggests:
 python3-paramiko,
 python3-websocket,
Description: Python 3 wrapper to access docker.io's control socket
 This package contains oodles of routines that aid in controlling
 docker.io over it's socket control, the same way the docker.io
 client controls the daemon.
 .
 This package provides Python 3 module bindings only.

=== debian/tests/control ===
Tests: use-docker.sh
Depends: docker.io, @
Restrictions: needs-root isolation-machine
